package org.linlinjava.jz.db.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.linlinjava.jz.db.dto.hm.HmTaskListData;

public interface HmTaskListMapper {
	/**
	 * 查询（我的任务），（历史任务）
	 * @param queryStr 保姆或雇主姓名
	 * @param yaerMonth  2020-02
	 * @param status  0表示未完成 2表示完成 
	 * @return
	 */
	List<HmTaskListData> selectTaskList(@Param("queryStr")String queryStr,@Param("yaerMonth")String yaerMonth,
			@Param("status")int status,@Param("userButlerId")Long userButlerId,@Param("rType")String rType);
	
	/**
	 * 查询单个保姆的任务列表
	 * @param employRelationId
	 * @return
	 */
	List<HmTaskListData> selectUserTaskList(@Param("employRelationId")Long employRelationId,@Param("rType")String rType);

}
