package org.linlinjava.jz.hm.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class UserRelationDto {

	//雇主是customer_client表的id\r\n保姆是server_provider的worker_no\r\n管家是sys_user
	@NotBlank(message="userServantId不能为空")
	private String userServantId;//服务者id
	
	@NotBlank(message="userServantPhone不能为空")
	private String userServantPhone;//电话
	
	@NotBlank(message="userServantName不能为空")
	private String userServantName;//名字
	
	@NotBlank(message="userClientId不能为空")
	private String userClientId; //客户customer_client id
	
	@NotBlank(message="userClientPhone不能为空")
	private String userClientPhone;
	
	@NotBlank(message="userClientName不能为空")
	private String userClientName;
	
	@NotBlank(message="userButlerId不能为空")
	private String userButlerId; //管家id sys_user的id
	
	@NotBlank(message="userButlerPhone不能为空")
	private String userButlerPhone;
	
	@NotBlank(message="userButlerName不能为空")
	private String userButlerName;
	
	@NotBlank(message="orderNo不能为空")
	private String orderNo;//订单编号
	
	@NotBlank(message="firstServiceTime不能为空")
	private String firstServiceTime;//首次服务时间
	
	private int restMode;//休息方式1每周，2双方协商（日历选择的）
	private String restDay;//休息日 （周：一,二,六,日） (月: 2020-02-03,2020-02-20)
	private int isNeedClock;//是否需要打卡1是2否
	
//	private String workCcope; //工作范围
	
	
}
