package org.linlinjava.jz.hm.web.butler;

import java.util.Map;

import javax.validation.Valid;

import org.linlinjava.jz.db.dto.hm.ButlerTaskTeachAddDto;
import org.linlinjava.jz.db.dto.hm.HmVisitClockDto;
import org.linlinjava.jz.db.service.hm.HmButlerTaskChildService;
import org.linlinjava.jz.db.service.hm.HmButlerTaskTeachService;
import org.linlinjava.jz.hm.util.HmResponseUtil;
import org.linlinjava.jz.service.HmButlerTaskClockService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@Api(value = "管家跟进类任务操作", description = "管家跟进类任务操作")
@RestController
@RequestMapping("butlerWorkOrder")
public class ButlerWorkOrderController {
 

	@Autowired
	HmButlerTaskClockService hmButlerTaskClockService;
	
 
 

	@ApiOperation(value = "添加上门拜访记录--跟进类", notes = "添加上门拜访记录--跟进类")
	@PostMapping(value = "addVisitLog")
	public Object addVisitLog(@RequestBody @Valid HmVisitClockDto dto) {
		return hmButlerTaskClockService.visitClockFollowUp(dto);
	}
 

}
