package org.linlinjava.jz.db.service;

import org.linlinjava.jz.db.dao.ContractMasterMapper;
import org.linlinjava.jz.db.domain.ContractMaster;
import org.linlinjava.jz.db.domain.ContractMasterExample;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Map;

/**
 * @author fuxubing
 */
@Service
public class ContractMasterService {
    private final ContractMaster.Column[] result = new ContractMaster.Column[]{ContractMaster.Column.id, ContractMaster.Column.serviceModel, ContractMaster.Column.contractAmount, ContractMaster.Column.contractStartDate, ContractMaster.Column.contractEndDate, ContractMaster.Column.contractState};
    @Resource
    private ContractMasterMapper contractMasterMapper;

    public Map<String, Object> selectByOrderNo(String orderNo) {
        return contractMasterMapper.selectByOrderNo(orderNo);
    }
}
