package org.linlinjava.jz.hm;


import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@MapperScan("org.linlinjava.jz.db.dao")
@EnableAsync
@EnableTransactionManagement
@EnableCaching
@EnableScheduling
@SpringBootApplication(scanBasePackages = {"org.linlinjava.jz"})
public class ServantappletApplication {

    public static void main(String[] args) {
        SpringApplication.run(ServantappletApplication.class, args);
    }

    
}
