package org.linlinjava.jz.hm.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author fuxubing
 */
@Data
public class ServantTaskDTO {
    @ApiModelProperty(value = "主键id", name = "id")
    @NotNull(message = "主键id不能为空")
    private Long id;
    @ApiModelProperty(value = "状态(0未完成，1已完成，2无法完成，3已过期）", name = "id")
    @NotNull(message = "状态不能为空")
    private Integer state;
    @ApiModelProperty(value = "未完成原因", name = "incompleteReason")
    private String incompleteReason;
}
