package org.linlinjava.jz.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import lombok.Data;

@Data
public class AddTicketActionDto {

	
	@NotNull(message="工单ticketId不能为空")
	private Integer ticketId;
	
	//HmTicketActionContans
	@NotNull(message="跟进类型hmType不能为空")
	private short hmType;
	
	private String phone;
	
	@NotBlank(message="跟进记录不能为空")
	private String comment;
}
